/*
 * xmapwspr.h   define exported routines from xmapwspr.c
 */

#ifndef BULL_XSIMMAP2_H
#define BULL_XSIMMAP2_H

// Data types

typedef struct {
    int max_x;
    int max_y;
    int max_z;
    unsigned char *data;
       } MAPDATA;

enum tileFence {tfLeft = 0x001,tfRight = 0x002,tfTop = 0x004,tfBottom = 0x008};
enum tileCross {tcLeft = 0x010,tcRight = 0x020,tcTop = 0x040,tcBottom = 0x080,
                tcSlash = 0x100,tcBSlash = 0x200 };
//enum tileLine {tlHorizonal = 0x0100,tlVertical = 0x0200};

// Routines

void free_map_data(MAPDATA *map);
int create_map_data(MAPDATA *map, char *map_fname);

void draw_simple_map_on_buffer_idx(unsigned char *buffer,MAPDATA *map,int width,int height,int wpos,int hpos,int tile_size);

void draw_simple_map_on_buffer_rgb(unsigned char *buffer,MAPDATA *map,int width,int height,int wpos,int hpos,int scale);

int draw_simpletile_on_buffer_idx(unsigned char *buffer,int width,int height,int wpos,int hpos,int tile_idx,int tile_fence,unsigned char fence_color,int tile_size);

// Error returns



#endif
