/*
 * xsprblk.h   define exported routines from xsprblk.c
 */

#ifndef BULL_XSPRBLK_H
#define BULL_XSPRBLK_H

// Data types

typedef struct {
    int subwidth;
    int subheight;
    long num_tiles;
    int subcount_w;
    int subcount_h;
    long *look_up_table;
    long datasize;
    unsigned char *data;
       } SPRITETILE;

typedef struct {
    int width;
    int height;
    unsigned char *data;
    unsigned char *alpha;
       } MAPTILE;

typedef struct {
    long num_tiles;
    MAPTILE *tiles;
    unsigned char *palette;
       } MAPTILELIST;

// Routines

void free_map_tiles_rawlist(MAPTILELIST *list);
int create_map_tiles_rawlist(MAPTILELIST *list,const char *sprite_file_name,const char *pal_file_name);
int get_sprite_tile(unsigned char *pix_map,unsigned char *alpha_map, int num, SPRITETILE src);
int get_sprite_subtile(unsigned char *pix_map,unsigned char *alpha_map, unsigned char *src_buf, int src_bufsize, int width, int height);
void fill_sprite_subtile(unsigned char *pix_map,unsigned char *alpha_map, int width, int height, int hstart);

// Error returns

#define SPRBLK_CANNOT_OPEN_DAT -1
#define SPRBLK_CONTENT_BAD_DAT -2
#define SPRBLK_CANNOT_OPEN_PAL -3
#define SPRBLK_CONTENT_BAD_PAL -4
#define SPRBLK_MALLOC_ERROR    -5


#endif
